> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/reference/users/create-userregistration.md).

# Create UserRegistration

```json
{"openapi":"3.0.1","info":{"title":"Synap API","version":"3.0.0"},"tags":[{"name":"Users","description":"Endpoints related to User creation, invitation and management."}],"servers":[{"url":"https://api.synap.ac/v3","description":"Production"},{"url":"https://api-stage.synap.ac/v3","description":"Staging"}],"security":[],"paths":{"/user-registrations":{"post":{"summary":"Create UserRegistration","tags":["Users"],"parameters":[],"requestBody":{"required":true,"content":{"application/vnd.api+json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"Identifies the Resource.","enum":["UserRegistration"]},"attributes":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"emailAddress":{"type":"string","readOnly":false},"password":{"type":"string","readOnly":false,"description":"Minimum 8 characters; 1 upper, 1 lower and 1 digit"},"registrationSource":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["self","externalAuth"]}}},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["generated"]},"token":{"type":"string"}}},{"type":"object","required":["type","inviteId"],"properties":{"type":{"type":"string","enum":["invite"]},"inviteId":{"type":"string"}}},{"type":"object","required":["type","productId"],"properties":{"type":{"type":"string","enum":["product"]},"productId":{"type":"string"}}},{"type":"object","required":["type","code"],"properties":{"type":{"type":"string","enum":["examVoucher"]},"code":{"type":"string"}}}]},"welcomeEmailDisabled":{"type":"boolean","readOnly":false,"description":"If true the welcome email will not be sent."},"welcomeEmailCustomMessage":{"type":"string","readOnly":false,"nullable":true,"description":"Custom message to include in generated account notifications"},"marketingEmailsConsent":{"type":"string","readOnly":false,"nullable":true},"locale":{"type":"string","enum":["en","en-GB","de-DE","el-GR","es-ES","fr-FR","it-IT","ja-JP","nl-NL","pt-BR","pt-PT","zh-CN","nb-NO","sl-SI","ar-SA","th-TH","hr-HR","ru-RU","id-ID","lv-LV","et-EE","pl-PL","sq-AL","cy-GB","vi-VN"],"readOnly":false,"nullable":true},"fontSize":{"type":"string","readOnly":false,"nullable":true,"enum":["xSmall","small","medium","large","xLarge"]},"extraTimeMultiplier":{"type":"number","readOnly":false,"nullable":true,"description":"Extra time multiplier for the user (e.g. 1.5 for 50% extra time)"},"timeZone":{"type":"string","readOnly":false,"nullable":true,"description":"IANA Time Zone Format (e.g. Europe/Rome)"},"attr":{"type":"object","readOnly":false,"nullable":true},"utm":{"type":"object","readOnly":false,"nullable":true},"externalId":{"type":"string","readOnly":false,"nullable":true,"description":"External identifier for the user"},"allowInauthenticEmails":{"type":"boolean","readOnly":false,"description":"When true and emailAddress is omitted, a placeholder email is generated from externalId. Only valid for generated accounts. Requires externalId."},"signUpSource":{"type":"string","enum":["Web","Mobile","API"],"readOnly":false,"deprecated":true,"description":"Deprecated. This value will be ignored. This field will be removed in the future."},"registration":{"type":"object","readOnly":false,"nullable":true,"deprecated":true,"description":"Deprecated. Use registrationSource | welcomeEmailDisabled instead. This field will be removed in the future."},"preferences":{"type":"object","readOnly":false,"nullable":true,"deprecated":true,"description":"Deprecated. Use locale | fontSize instead. This field will be removed in the future."}}},"relationships":{"type":"object","properties":{"userGroups":{"type":"object","description":"This is a resource linkage for a to-many relationship. It is like an array of Parse Pointers.","readOnly":false,"properties":{"data":{"type":"array","nullable":true,"items":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"allOf":[{"$ref":"#/components/schemas/ResourceType"},{"enum":["UserGroup"]}]}}}}}},"subPortal":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["SubPortal"]}}}}},"generatedAttempt":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Attempt"]}}}}}}}}}}}}}},"responses":{"201":{"description":"Created","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/UserRegistration"}}}}}},"202":{"description":"Accepted","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BackgroundJob"}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BadRequestApiError"}}}}}}},"401":{"description":"Unauthorized","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/UnauthorizedApiError"}}}}}}},"403":{"description":"Forbidden","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ForbiddenApiError"}}}}}}},"404":{"description":"Not Found","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/NotFoundApiError"}}}}}}},"409":{"description":"Conflict","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}}},"components":{"schemas":{"ObjectId":{"type":"string","description":"The primary key for each resource."},"ResourceType":{"type":"string","description":"Identifies the Resource."},"UserRegistration":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["UserRegistration"]},"attributes":{"type":"object","properties":{"name":{"type":"string","readOnly":true},"emailAddress":{"type":"string","readOnly":true},"password":{"type":"string","readOnly":true,"description":"Minimum 8 characters; 1 upper, 1 lower and 1 digit"},"registrationSource":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["self","externalAuth"]}}},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["generated"]},"token":{"type":"string"}}},{"type":"object","required":["type","inviteId"],"properties":{"type":{"type":"string","enum":["invite"]},"inviteId":{"type":"string"}}},{"type":"object","required":["type","productId"],"properties":{"type":{"type":"string","enum":["product"]},"productId":{"type":"string"}}},{"type":"object","required":["type","code"],"properties":{"type":{"type":"string","enum":["examVoucher"]},"code":{"type":"string"}}}]},"welcomeEmailDisabled":{"type":"boolean","readOnly":true,"description":"If true the welcome email will not be sent."},"welcomeEmailCustomMessage":{"type":"string","readOnly":true,"nullable":true,"description":"Custom message to include in generated account notifications"},"marketingEmailsConsent":{"type":"string","readOnly":true,"nullable":true},"locale":{"type":"string","enum":["en","en-GB","de-DE","el-GR","es-ES","fr-FR","it-IT","ja-JP","nl-NL","pt-BR","pt-PT","zh-CN","nb-NO","sl-SI","ar-SA","th-TH","hr-HR","ru-RU","id-ID","lv-LV","et-EE","pl-PL","sq-AL","cy-GB","vi-VN"],"readOnly":true,"nullable":true},"fontSize":{"type":"string","readOnly":true,"nullable":true,"enum":["xSmall","small","medium","large","xLarge"]},"extraTimeMultiplier":{"type":"number","readOnly":true,"nullable":true,"description":"Extra time multiplier for the user (e.g. 1.5 for 50% extra time)"},"timeZone":{"type":"string","readOnly":true,"nullable":true,"description":"IANA Time Zone Format (e.g. Europe/Rome)"},"attr":{"type":"object","readOnly":true,"nullable":true},"utm":{"type":"object","readOnly":true,"nullable":true},"externalId":{"type":"string","readOnly":true,"nullable":true,"description":"External identifier for the user"},"allowInauthenticEmails":{"type":"boolean","readOnly":true,"description":"When true and emailAddress is omitted, a placeholder email is generated from externalId. Only valid for generated accounts. Requires externalId."},"signUpSource":{"type":"string","enum":["Web","Mobile","API"],"readOnly":true,"deprecated":true,"description":"Deprecated. This value will be ignored. This field will be removed in the future."},"registration":{"type":"object","readOnly":true,"nullable":true,"deprecated":true,"description":"Deprecated. Use registrationSource | welcomeEmailDisabled instead. This field will be removed in the future."},"preferences":{"type":"object","readOnly":true,"nullable":true,"deprecated":true,"description":"Deprecated. Use locale | fontSize instead. This field will be removed in the future."}}},"relationships":{"type":"object","properties":{"userGroups":{"type":"object","description":"This is a resource linkage for a to-many relationship. It is like an array of Parse Pointers.","readOnly":false,"properties":{"data":{"type":"array","nullable":true,"items":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"allOf":[{"$ref":"#/components/schemas/ResourceType"},{"enum":["UserGroup"]}]}}}}}},"subPortal":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["SubPortal"]}}}}},"generatedAttempt":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Attempt"]}}}}}}}}},"BackgroundJob":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["BackgroundJob"]},"attributes":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"createdAt":{"type":"string","readOnly":true},"timeStarted":{"type":"string","readOnly":true},"timeCompleted":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"status":{"type":"string","enum":["queued","delayed","started","stalled","successful","failed","panic"],"readOnly":true},"progress":{"type":"number","readOnly":true},"message":{"type":"string","readOnly":true},"data":{"type":"array","readOnly":true,"items":{"type":"array","readOnly":true,"items":{"oneOf":[{"type":"string"},{"type":"object"}],"maxItems":2}}},"params":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true},"result":{"type":"object","readOnly":true,"nullable":true}}},"relationships":{"type":"object","properties":{}}}},"BadRequestApiError":{"type":"object","description":"The request was invalid.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"UnauthorizedApiError":{"type":"object","description":"Unauthorized request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ForbiddenApiError":{"type":"object","description":"Forbidden request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"NotFoundApiError":{"type":"object","description":"The request resource could not be found.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ApiError":{"type":"object","description":"This is an error response structure. The id, status, code, title and detail will vary based on the error situation.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://synap.ac/docs/api/reference/users/create-userregistration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
